summaryrefslogtreecommitdiffstats
path: root/redhat
diff options
context:
space:
mode:
Diffstat (limited to 'redhat')
-rwxr-xr-xredhat/scripts/bcfg2-server.init8
1 files changed, 7 insertions, 1 deletions
diff --git a/redhat/scripts/bcfg2-server.init b/redhat/scripts/bcfg2-server.init
index f74a856eb..7fd1bd906 100755
--- a/redhat/scripts/bcfg2-server.init
+++ b/redhat/scripts/bcfg2-server.init
@@ -49,7 +49,13 @@ start () {
stop () {
echo -n $"Stopping $prog: "
- killproc -p ${PIDFILE} -d 30 ${prog} && success || failure
+ # we do NOT want to specify the pidfile to killproc; if we do, and
+ # it has to kill -9 the server, it only kills the master and the
+ # child processes stay running (if the multiprocessing core is in
+ # use). By not specifying a pidfile, it looks in the process
+ # table for all bcfg2-server processes, and kill -9's them all if
+ # necessary.
+ killproc -d 30 ${prog} && success || failure
RETVAL=$?
echo
rm -f /var/lock/subsys/$prog